#ifndef _materialProperty_h_
#define _materialProperty_h_

#include "ygNode.h"

class materialProperty : public ygNode
    {
    public:
     materialProperty(const char* name,bool master=true);
     ~materialProperty(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     void setGSetList(pfNode*);
     void setColor(int,float,float,float);
     void setAlpha(float);
     void setShininess(float);
     void changeColor(int,float,float,float);
     void changeAlpha(float);
     void changeShininess(float);
     pfList* gSetList;
     pfVec3 ambient;
     pfVec3 diffuse;
     pfVec3 emission;
     pfVec3 specular;
     float alpha;
     float shininess;
     int ambientMode;
     int diffuseMode;
     int emissionMode;
     int specularMode;
     int alphaMode;
     int shininessMode;
    };

#endif
