#ifndef _pathRandom_h_
#define _pathRandom_h_

#include "ygTransform.h"


class pathRandom : public ygTransform
{
public:

    pathRandom( const char* name, bool master=true );
    ~pathRandom( void );
     
    virtual void reset( void );
    virtual void message( const ygMessage& );
    virtual void app( void );
     
    void interpolate( float t );

    void setInitPos( void );
    void loadPath( unsigned int random_points );
    
private:
     struct _pathRandomPrivateData *p_;
};


#endif
