#ifndef _whiteNoise_h_
#define _whiteNoise_h_

#include "ygSoundServer.h"


class whiteNoise : public ygSoundServer
    {
    public:
     whiteNoise(const char*,bool master=true);
     virtual ~whiteNoise(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
    private:
     struct _whiteNoisePrivateData * p_;
    };

extern "C" ygNode* construct_whiteNoise(const char*,bool);

#endif
