#ifndef _ygEventMessages_h_
#define _ygEventMessages_h_

#include "ygString.h"
class ygNode;

class ygEventMessages
    {
    public:
     ygEventMessages(void);
     ~ygEventMessages(void);
         void setNode(ygNode*);
         void clear(void);
         void clear(const ygString&);
         void clear(const ygString&,int);
         void addEvent(const ygString&);
         void addMessage(const ygString&,const ygString&);
         void respondToEvent(ygEvent*) const;
         const std::map<ygString,std::vector<ygString> >& getMessages(void);
         const std::vector<ygString>& getEvents(void);
         const ygString& getNextEvent(void);
    private:
     struct _ygEventMessagesPrivateData* p_;
     static struct _ygEventMessagesGlobalData * global_;
     ygNode *ygnode_;
    };

#endif
