// Author: Dave Pape
// Revision: 11/01/01
//
#include <QUANTA/QUANTA.hxx>
#include "ygMutex.h"

using namespace std;


struct _ygMutexPrivateData
    {
    QUANTAts_mutex_c mutex;
    };


ygMutex::ygMutex(void)
    {
    p_ = new struct _ygMutexPrivateData;
    }


void ygMutex::lock(void)
    {
    p_->mutex.lock();
    }


void ygMutex::unlock(void)
    {
    p_->mutex.unlock();
    }
