// Description: the main program for documenting C++ code
//
//<b>notes:</b>
//<ul>
//<li> Usage: cxxdoc directory {directory}
//</ul>
//
// Category: none
// Author: Alex Hill
//          11/01/01
// Revision: 12/02/4 Alex Hill - added debuging and commenting
//
#include <ctype.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <iostream.h>

main(int argc,char **argv)
	{
        if (argc < 2)
                {
                cerr << "Usage: " << argv[0] <<  " infile outfile\n" << endl;
                exit(-1);
                }
	FILE *fp_;
	fp_ = fopen(argv[1],"r");
	if (!fp_)
		{
		cerr << "ERROR: fixSGIpfa could not open file '"
			<< argv[1] << "'\n";
		perror(argv[1]);
		}
	else
		{
		FILE *fo_;
		fo_ = fopen(argv[2],"w");
		if (!fo_)
			{
			cerr << "ERROR: fixSGIpfa could not create file '"
				<< argv[2] << "'\n";
			perror(argv[2]);
                	exit(-1);
			}
		char linebuf_[1024];
		int lineNum = 0;
		int skipNum = 0;
		while (fgets(linebuf_,sizeof(linebuf_)-1,fp_))
			{
			if (lineNum == 0)
				fprintf(fo_,"0xdb0ace00 21   # header\n");
			else
				{
				if (strncmp(linebuf_,"#---------------------- GeoSet ",31) == 0)
					skipNum = lineNum + 18;
				else if (strncmp(linebuf_,"#---------------------- Texture ",31) == 0)
					skipNum = lineNum + 19;
				if (lineNum != skipNum)
					fprintf(fo_,"%s",linebuf_);
				}
			lineNum++;
			}
		fclose(fo_);
		fclose(fp_);
		}
	}

