#ifndef _classListing_h_
#define _classListing_h_

#include "ygNode.h"
#include <vector>

class classListing : public ygNode
    {
    public:
     classListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     void checkNode(void);
     void findClasses(ygNode*);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     int index;
     int lastIndex;
     int maximum;
     bool created;
     bool changed;
     std::vector<ygString> allClasses;
     std::vector<ygString> currClasses;
    };

#endif
