#ifndef _pointFollower_h_
#define _pointFollower_h_

#include <vector.h>
#include "ygTransform.h"

class pointFollower : public ygTransform
    {
    public:
     pointFollower(const char* name,bool master=true);
     ~pointFollower(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         void loadPath(const ygString& file);
         void interpolate(float t);
    private:
     float position;
     ygString filename;
     bool upright;
     pfVec3 point;
     vector<pfVec3*> points;
     vector<float> pointList;
    };


#endif
