#ifndef _pointMover_h_
#define _pointMover_h_

#include <vector.h>
#include <ygTransform.h>

class pointMover : public ygTransform
    {
    public:
     pointMover(const char* name,bool master=true);
     ~pointMover(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         void loadPath(const ygString& file);
         void interpolate(float t);
    private:
     typedef struct
        {
        pfVec3 pos;
        pfQuat quat;
        } ygPosQuat;
     float position;
     ygString filename;
     vector<ygPosQuat*> points;
     vector<float> pointList;
    };


#endif
