#ifndef _snow_h_
#define _snow_h_

#include "ygNode.h"

class snow : public ygNode
    {
    public:
     snow(const char* name,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     inline float randomVal(float min, float max) {return (min + drand48()*(max - min));};
    private:
     pfVec3* snow_;
     pfCoord range_;
     float ground_;
     float speed_;
     int count_;
     void createGeode(void);
     pfGeode* makeSphere(void);
    };

#endif
