#ifndef _ygFileServer_h_
#define _ygFileServer_h_

#include "ygString.h"
class ygFileRequest;

class ygFileServer
    {
    public:
     static void initialize(void);
     static void queueRequest(ygFileRequest *);
     static void halt(void);
    private:
     static void * serverThread(void*);
     static void process(void);
     static void doDownload(ygFileRequest *request);
     static void doUpload(ygFileRequest *request);
     static void handleLocally(ygFileRequest *request);
     static bool localFileOkay(const ygString&,const ygString&,
                 class QUANTAnet_remoteFileIOClient32_c&, ygString&);
     static void prefixLocalFile(const ygString& name, ygString& returnName);
     static struct _ygFileServerPrivateData * p_;
    };

#endif
